<div *ngIf="hero">
    <h2>{{hero.name | uppercase}} Details </h2>
    <div><span>id: </span>{{hero.id}}</div>
    <div>
        <label for="name">Hero Name: </label>
        <input id="name" [(ngModel)]="hero.name" placeholder="Hero Name">
    </div>
    <button (click)="goBack()">go back</button>
</div>

<app-messages></app-messages>